Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class SelectManyRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.InputRendererBase
                  org.richfaces.renderkit.SelectManyRendererBase

Direct Known Subclasses:
  OrderingListRendererBase, PickListRendererBase

    public class SelectManyRendererBase

extends InputRendererBase

Author:
  Brian Leathem

Constructor Summary
`SelectManyRendererBase()`

Method Summary
`String` | `csvEncodeSelectedItems(List<ClientSelectItem> clientSelectItems)`
`protected void` | `doDecode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`String` | `encodeHeightAndWidth(javax.faces.component.UIComponent component)`
`String` | `getButtonClass(javax.faces.component.UIComponent component, String cssPrefix, String buttonClass)`
`List<ClientSelectItem>` | `getClientSelectItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object val)`
`protected String` | `getListHeight(AbstractSelectManyComponent select)`
`protected String` | `getListWidth(AbstractSelectManyComponent select)`
`protected String` | `getMaxListHeight(AbstractSelectManyComponent select)`
`protected String` | `getMinListHeight(AbstractSelectManyComponent select)`
`boolean` | `hasColumnChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`boolean` | `isHeaderExists(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.InputRendererBase
`getInputValue`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectManyRendererBase

    public SelectManyRendererBase()

Method Detail

### getClientSelectItems

    public List<ClientSelectItem> getClientSelectItems(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.component.UIComponent component)

### csvEncodeSelectedItems

    public String csvEncodeSelectedItems(List<ClientSelectItem> clientSelectItems)

### doDecode

    protected void doDecode(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `InputRendererBase`

### getConvertedValue

    public Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component,
                                    Object val)
                             throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `InputRendererBase`
  Throws:
    `javax.faces.convert.ConverterException`

### hasColumnChildren

    public boolean hasColumnChildren(javax.faces.context.FacesContext facesContext,
                                     javax.faces.component.UIComponent component)

### isHeaderExists

    public boolean isHeaderExists(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent component)

### getMinListHeight

    protected String getMinListHeight(AbstractSelectManyComponent select)

### getMaxListHeight

    protected String getMaxListHeight(AbstractSelectManyComponent select)

### getListHeight

    protected String getListHeight(AbstractSelectManyComponent select)

### getListWidth

    protected String getListWidth(AbstractSelectManyComponent select)

### encodeHeightAndWidth

    public String encodeHeightAndWidth(javax.faces.component.UIComponent component)

### getButtonClass

    public String getButtonClass(javax.faces.component.UIComponent component,
                                 String cssPrefix,
                                 String buttonClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.